class ServoMotor:
    def __init__(self, name, target_angle=0):
        self.name = name
        self.target_angle = target_angle
        self.current_angle = 0
        self.power_consumption = 0

    def show_current_angle(self):
        print(f"{self.name} - Current Angle: {self.current_angle} degrees")

    def show_target_angle(self):
        print(f"{self.name} - Target Angle: {self.target_angle} degrees")

    def set_target_angle(self, target_angle):
        self.target_angle = target_angle
        self.show_target_angle()


class RobotController:
    def __init__(self, name):
        self.name = name
        self.motors = []

    def add_motor(self, motor):
        if isinstance(motor, ServoMotor):
            self.motors.append(motor)
        else:
            print("Invalid motor object. Please provide a ServoMotor instance.")

    def activate_resting_position(self):
        for motor in self.motors:
            motor.set_target_angle(0)


# Beispiel, wie Sie diese Klassen verwenden können:

if __name__ == "__main__":
    motor1 = ServoMotor("Motor1")
    motor2 = ServoMotor("Motor2")
    motor3 = ServoMotor("Motor3")

    controller = RobotController("RobotArm")
    controller.add_motor(motor1)
    controller.add_motor(motor2)
    controller.add_motor(motor3)

    motor1.set_target_angle(45)
    motor2.set_target_angle(90)
    motor3.set_target_angle(-30)

    controller.activate_resting_position()

    motor1.show_current_angle()
    motor2.show_current_angle()
    motor3.show_current_angle()